using Microsoft.AspNetCore;
using Microsoft.AspNetCore.Hosting;
using System;
using System.Text;

namespace Host
{
    public class Program
    {
        public static void Main(string[] args)
        {
            CreateWebHostBuilder(args).Build().Run();
        }

        public static IWebHostBuilder CreateWebHostBuilder(string[] args){

            var hsot = WebHost.CreateDefaultBuilder(args)
                  .UseStartup<Startup>();
            if (args.Length > 0)
            {
                if (args[0] == "-u")
                {
                    hsot.UseUrls(args[1]);
                }
            }
            return hsot;
        }          
           
       //  .UseStartup<Etor.PSIP.BaseInfo.Startup>();
        // .UseStartup<Etor.PSIP.Manage.Startup>();
    }
}
